Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree
Class TreeSorterConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.tree.TreeSorterConfig

    public class TreeSorterConfig

extends BaseConfig

Configuration class for `TreeSorter`.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`TreeSorterConfig()`

Method Summary
`void` | `setCaseSensitive(boolean caseSensitive)` True for case sensitive sort (defaults to false)
`void` | `setDir(SortDir dir)` The direction to sort (asc or desc) (defaults to asc).
`void` | `setFolderSort(boolean folderSort)` True to sort leaf nodes under non leaf nodes.
`void` | `setLeafAttr(java.lang.String leafAttr)` The attribute used to determine leaf nodes in folder sort (defaults to "leaf")
`void` | `setProperty(java.lang.String property)` The named attribute on the node to sort by (defaults to text).
`void` | `setSortType(TreeSortFunction sortType)` A custom function used to convert node values before sorting.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeSorterConfig

    public TreeSorterConfig()

Method Detail

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

  True for case sensitive sort (defaults to false)

  Parameters:
    `caseSensitive` - true for case sensitive sort

### setDir

    public void setDir(SortDir dir)

  The direction to sort (asc or desc) (defaults to asc).

  Parameters:
    `dir` - the sort direction

### setFolderSort

    public void setFolderSort(boolean folderSort)

  True to sort leaf nodes under non leaf nodes.

  Parameters:
    `folderSort` - true to sort leaf nodes under non leaf nodes.

### setLeafAttr

    public void setLeafAttr(java.lang.String leafAttr)

  The attribute used to determine leaf nodes in folder sort (defaults to "leaf")

  Parameters:
    `leafAttr` - the leaf attribute

### setProperty

    public void setProperty(java.lang.String property)

  The named attribute on the node to sort by (defaults to text).

  Parameters:
    `property` - the sort property

### setSortType

    public void setSortType(TreeSortFunction sortType)

  A custom function used to convert node values before sorting.

  Parameters:
    `sortType` - the sort function

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD